Database actions requests

Database actions requests

Redis Software
Method Path Description
GET /v1/actions/bdb/{bdb_uid} Get the status of a specific database's actions

Get database actions

GET /v1/actions/bdb/{bdb_uid}

Get the status of all currently executing or pending state-machine-related actions for a specific database. Completed actions are not returned, so an empty array means no actions are running for the database. This API tracks short-lived API requests that return action_uid.

Required permissions

Permission name
view_status_of_cluster_action

Request

Example HTTP request

GET /v1/actions/bdb/1

URL parameters

Field Type Description
bdb_uid string Unique database ID

Response

Returns an array of JSON objects with attributes from actions and state machines. Completed actions and state machines are not included.

Each action contains the following attributes: name, action_uid, status, and progress.

Example JSON body

[
    {
        "action_uid": "8afc7f70-f3ae-4244-a5e9-5133e78b2e97",
        "heartbeat": 1703067908,
        "name": "SMUpdateBDB",
        "object_name": "bdb:1",
        "pending_ops": {},
        "progress": 50.0,
        "state": "proxy_policy",
        "status": "active"
    }
]

Status codes

Code Description
200 OK No error, response provides info about state-machine actions
404 Not Found bdb not found
RATE THIS PAGE
Back to top ↑